import type { LocaleMessages } from 'vue-i18n';

const locale: LocaleMessages<I18nType.Schema> = {
  message: {
    system: {
      title: 'SoybeanAdmin'
    },
    routes: {
      dashboard: {
        dashboard: 'Dashboard',
        workbench: 'Workbench'
      },
      management: {
        _value: 'System Management',
        auth: 'Auth',
        role: 'Role',
        route: 'Route',
        user: 'User',
        sort: 'category',
        student: 'Student',
        attendance: 'student attendance'
      },
      lesson: {
        _value: 'Lesson Management',
        group: 'class',
        classroom: 'classroom',
        schedule: 'schedule',
        calendar: 'calendar',
        student: 'group student',
        checkin: 'student sign in',
        score: 'score'
      },
      archives: {
        _value: 'archives',
        students: 'students info'
      },
      about: 'About'
    }
  }
};

export default locale;
