import type { LocaleMessages } from 'vue-i18n';

const locale: LocaleMessages<I18nType.Schema> = {
  message: {
    system: {
      title: '爱扣钉教务系统'
    },
    routes: {
      dashboard: {
        dashboard: '仪表盘',
        workbench: '工作台'
      },
      management: {
        _value: '系统管理',
        auth: '权限管理',
        role: '角色管理',
        route: '课程分类',
        user: '用户管理',
        sort: '课程分类',
        student: '学生管理',
        attendance: '学员出勤'
      },
      lesson: {
        _value: '课程管理',
        group: '班级管理',
        classroom: '教室管理',
        schedule: '排课管理',
        calendar: '课程日历',
        student: '班级学员',
        checkin: '学员签到',
        score: '学生考核'
      },
      archives: {
        _value: '档案管理',
        students: '档案搜索'
      },
      about: '关于'
    }
  }
};

export default locale;
